ソースを参照

Ignore sqla-migrate inspect.getargspec deprecation warnings on py36

The 'message' argument is a regex so you need to escape brackets and the
likes. Strange that this worked on py27.

This was coincidentally fixed by Ib9f735216773224f91ac7f49fbe2eee119670872
in Train but this change is backportable while that one is not.

Change-Id: Ia1f0fa6a46bdd0a87d40721937355b2cc887f1c9
Signed-off-by: Stephen Finucane <sfinucan@redhat.com>
Related-Bug: #1813147
tags/20.0.0.0rc1
Stephen Finucane 4ヶ月前
コミット
79ee80d159
1個のファイルの変更1行の追加1行の削除
  1. +1
    -1
      nova/tests/fixtures.py

+ 1
- 1
nova/tests/fixtures.py ファイルの表示

@@ -876,7 +876,7 @@ class WarningsFixture(fixtures.Fixture):
# TODO(mriedem): Change (or remove) this DeprecationWarning once
# https://bugs.launchpad.net/sqlalchemy-migrate/+bug/1814288 is fixed.
warnings.filterwarnings(
'ignore', message='inspect.getargspec() is deprecated',
'ignore', message=r'inspect.getargspec\(\) is deprecated',
category=DeprecationWarning,
module='migrate.versioning.script.py')


読み込み中…
キャンセル
保存